### Method

# Gtk Snapshotappend_node

#### Declaration [src]

    void
    gtk_snapshot_append_node (
      GtkSnapshot* snapshot,
      GskRenderNode* node
    )

#### Description [src]

Appends `node` to the current render node of `snapshot`, without changing the current node.

If `snapshot` does not have a current node yet, `node` will become the initial node.

#### Parameters

`node`

  Type: `GskRenderNode`

  A `GskRenderNode`

  The data is owned by the caller of the method.